import java.awt.Color;

import edu.kzoo.grid.Location;
import edu.kzoo.grid.ColorBlock;
import edu.kzoo.grid.PictureBlock;
import edu.kzoo.grid.TextCell;

/**
 *  Simple Grid Object Programming Project:<br>
 *
 *  A SimpleGridObjectApp object represents an application with a simple
 *  grid in one may put basic grid objects, such as TextCell, ColorBlock,
 *  or PictureBlock objects.
 *
 *  @author Kelly Schultz and Alyce Brady
 *  @version 8 January 2009
 * @author Kelly Schultz and Alyce Brady (created 8 January 2009)
 * @author [your name]
 * @author [with assistance from ... (including instructor/TAs)]
 * @author [working side-by-side with ...]
 * @version 8 January 2009 [you should change this]
 */
public class SimpleGridObjectApp
{

    /** The main method represents the starting point of the application.
     *    @param args   (unused)
     */
    public static void main(String[] args)
    {
        // Create and initialize the grid.
        SimpleGrid grid = new SimpleGrid(3, 4);

        // Create graphical user interface capable of displaying
        // the grid.  The 2nd, 3rd, and 4th parameters are used to
        // create an appropriate Help menu.
        SimpleGridObjectGUI display = new SimpleGridObjectGUI(grid,
                                            "John Doe", "Alyce Brady",
                                            "9 January 2009");


        // Place several PictureBlock objects in the grid.
        PictureBlock firstPictureBlock = new PictureBlock("images/Cactus.jpg",
                                                          "this is a cactus");
        grid.add(firstPictureBlock, 0, 0);
        display.showGrid();

        PictureBlock secondPictureBlock = new PictureBlock("images/Skier.jpg",
                                                           "this is a skier");
        grid.add(secondPictureBlock, 2, 3);
        display.showGrid();

        System.out.println("Done.");
    }

}
